Subject: bug#19390: 25.0.50; `package-activate' is too slow

From: Artur Malabarba <[email-masked]>
Date: Wed, 17 Dec 2014 12:33:43 -0200

FWIW, I just checked an indeed it seems load-history stores file-truenames.
So that patch is all good.

2014-12-16 23:17 GMT-02:00 Dmitry Gutov <[email-masked]>:
> On 12/17/2014 02:40 AM, Artur Malabarba wrote:
>
>> Actually, this means I may have overused file-truename. If load-history
>> already stores canonical names, then we only need to call truename on
>> the return value of find library, not on the elements of load-history.
>
>
> Look like.
>
>> If nobody else checks, I'll check tomorrow when I get a chance.
>
>
> I'll commit the fix soon (it gives a nice performance boost already), but
> please go ahead and double-check it tomorrow.